net.sourceforge.pmd.lang.rule

## Interface RuleViolationFactory

All Known Implementing Classes:
  AbstractRuleViolationFactory, EcmascriptRuleViolationFactory, JavaRuleViolationFactory, JspRuleViolationFactory, XmlRuleViolationFactory

    public interface RuleViolationFactory

This class handles of producing a Language specific RuleViolation and adding to a Report.

### Method Summary

Methods
`void` `addViolation(RuleContext ruleContext, Rule rule, Node node, String message, int beginLine, int endLine, Object[] args)`
`void` `addViolation(RuleContext ruleContext, Rule rule, Node node, String message, Object[] args)` Adds a violation to the report.

### Method Detail

#### addViolation

    void addViolation(RuleContext ruleContext,
                    Rule rule,
                    Node node,
                    String message,
                    Object[] args)

Adds a violation to the report.

Parameters:
  `ruleContext` - the RuleContext
  `rule` - the rule
  `node` - the node that produces the violation
  `message` - specific message to put in the report
  `args` - arguments to embed in the rule violation message

#### addViolation

    void addViolation(RuleContext ruleContext,
                    Rule rule,
                    Node node,
                    String message,
                    int beginLine,
                    int endLine,
                    Object[] args)